rm(list=ls(all=TRUE)) 


ADF1 = read.table(file="ADFRS.out")
ADF2 = read.table(file="ADFTRS.out")

PP1 = read.table(file="PPRS.out")
PP2 = read.table(file="PPTRS.out")

POP1 = read.table(file="POPRS.out")
POP2 = read.table(file="POPTRS.out")

ERS1 = read.table(file="ERSRS.out")
ERS2 = read.table(file="ERSTRS.out")

c=as.numeric(readline(prompt="Enter the value of c between 0 and 30: "))
p=as.numeric(readline(prompt="Enter the value of p between 0 and 1: "))
k=as.numeric(readline(prompt="Enter the value of k between 0 and 10: "))
X0=as.numeric(readline(prompt="Enter the value of X0 between 0 and 6 in absolute value: "))


Tests=c("ADF","PP","GLS-DF","ERS-P")
models=c("c","ct")


OPL=matrix(NA,nrow=length(Tests),ncol=length(models))
for(i in 1:length(Tests)){
    Test=Tests[i]
    for( j in 1:length(models)){
    Model=models[j]

if (Test=="ADF" & Model=="c") mat=ADF1
if (Test=="ADF" & Model=="ct") mat=ADF2
if (Test=="PP" & Model=="c") mat=PP1
if (Test=="PP" & Model=="ct") mat=PP2
if (Test=="GLS-DF" & Model=="c") mat=ERS1
if (Test=="GLS-DF" & Model=="ct") mat=ERS2
if (Test=="ERS-P" & Model=="c") mat=POP1
if (Test=="ERS-P" & Model=="ct") mat=POP2


pvec=unique(mat[,1]); p=pvec[which.min(abs(pvec - p))]
kvec=unique(mat[,2]); k=kvec[which.min(abs(kvec - k))]
X0vec=unique(mat[,3]);X0=X0vec[which.min(abs(X0vec - X0))]

mat1 = mat[ mat[,1] == p,]
mat2 = mat1[ mat1[,2] == k,]
mat3 = mat2[ mat2[,3] == X0,]

cvec = c(1,c,c^2,c^3,c^4,c^5)
opt.level = sum(cvec * mat3[4:9])
OPL[i,j] =opt.level
    }}

colnames(OPL) = models; rownames(OPL)=Tests
print(OPL)
